/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcat.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/19 13:02:39 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/14 17:49:58 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

size_t	ft_strlcat(char *dest, const char *src, size_t size)
{
	size_t	len_dest;
	size_t	len_src;

	if (size == 0)
		return (ft_strlen(src));
	len_dest = ft_strlen(dest);
	if (len_dest >= size)
		return (ft_strlen(src) + (size));
	len_src = ft_strlcpy(dest + len_dest, src, size - len_dest);
	return (len_dest + len_src);
}
