/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memcmp.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/27 19:18:16 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/05 14:45:03 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

int	ft_memcmp(const void *pointer1, const void *pointer2, size_t size)
{
	size_t			i;
	unsigned char	*tmp1;
	unsigned char	*tmp2;

	if (size == 0)
		return (0);
	tmp1 = (unsigned char *)pointer1;
	tmp2 = (unsigned char *)pointer2;
	i = 0;
	while (i < size - 1 && tmp1[i] == tmp2[i])
		i++;
	return (tmp1[i] - tmp2[i]);
}
