/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memcpy.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 15:32:11 by erey-bet          #+#    #+#             */
/*   Updated: 2022/09/27 06:36:02 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	*ft_memcpy(void *dest, const void *src, size_t s)
{
	size_t		i;
	char		*tmp_dest;
	const char	*tmp_src;

	if (dest == NULL && src == NULL)
		return (NULL);
	i = 0;
	tmp_dest = dest;
	tmp_src = src;
	while (i < s)
	{
		tmp_dest[i] = tmp_src[i];
		i++;
	}
	return (dest);
}
