/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strrchr.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/27 11:13:35 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/11 02:23:25 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strrchr(const char *str, int search)
{
	int		i;
	char	*last;

	i = 0;
	last = NULL;
	while (str[i] || str[i] == (unsigned char)search)
	{
		if (str[i] == (unsigned char)search)
		{
			last = (char *)&str[i];
			if (str[i] == 0)
				return (last);
		}
		i++;
	}
	return (last);
}
